net.corda.client.jfx.model

## Class GatheredTransactionData

- net.corda.client.jfx.model.GatheredTransactionData

-     public class GatheredTransactionData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatheredTransactionData(PartiallyResolvedTransaction transaction, javafx.collections.ObservableList<? extends net.corda.client.jfx.model.StateMachineData> stateMachines)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartiallyResolvedTransaction` | `component1()`
    `javafx.collections.ObservableList<? extends net.corda.client.jfx.model.StateMachineData>` | `component2()`
    `GatheredTransactionData` | `copy(PartiallyResolvedTransaction transaction, javafx.collections.ObservableList<? extends net.corda.client.jfx.model.StateMachineData> stateMachines)`
    `boolean` | `equals(java.lang.Object p)`
    `javafx.collections.ObservableList<? extends net.corda.client.jfx.model.StateMachineData>` | `getStateMachines()`
    `PartiallyResolvedTransaction` | `getTransaction()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### GatheredTransactionData

          public GatheredTransactionData(PartiallyResolvedTransaction transaction,
                                         javafx.collections.ObservableList<? extends net.corda.client.jfx.model.StateMachineData> stateMachines)

  - ### Method Detail

    - #### getTransaction

          public PartiallyResolvedTransaction getTransaction()

    - #### getStateMachines

          public javafx.collections.ObservableList<? extends net.corda.client.jfx.model.StateMachineData> getStateMachines()

    - #### component1

          public PartiallyResolvedTransaction component1()

    - #### component2

          public javafx.collections.ObservableList<? extends net.corda.client.jfx.model.StateMachineData> component2()

    - #### copy

          public GatheredTransactionData copy(PartiallyResolvedTransaction transaction,
                                              javafx.collections.ObservableList<? extends net.corda.client.jfx.model.StateMachineData> stateMachines)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)